package com.keyware.shandan.mark.controller;

import com.keyware.shandan.system.constants.FormTypeEnum;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * @author GuoXin
 * @date 2022-05-13
 */
@Controller
@RequestMapping("/mark/view")
public class MarkViewController {

    @GetMapping("/type")
    public ModelAndView typeManageView(ModelAndView mav){
        mav.setViewName("business/mark/markTypePage");
        return mav;
    }

    @GetMapping("/config")
    public ModelAndView typeFormConfigView(ModelAndView mav){
        mav.setViewName("business/mark/markTypeFormConfigPage");
        mav.addObject("FormTypeEnum", FormTypeEnum.getMap());
        return mav;
    }
}
